当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 5 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : Ubuntu 8.10 安装VMware出现问题了,Who can help me ? THX!![已解决]
帖子发表于 : 2008-11-25 20:33 
头像

注册: 2008-06-21 18:30
帖子: 38
地址: Beijing
送出感谢: 0 次
接收感谢: 0 次
1.使用的是从www.vmware.cn下载的“VMware-workstation-e.x.p-84113.i386.tar.gz”(应该就是俗称的VMware6.5),还有从www.vmware.com下载的“VMware-workstation-6.0.5-109488.i386.tar.gz”。都出现了相同的问题。

2.现在使用Ubuntu 8.10 ;内核是linux-image-2.6.27-10-generic

3.我的内核是从2.6.27-7一个个慢慢的往上升级的,当然主要是测试是不是内核的问题。没想到都更新到现在这个版本了,还是没有解决问题。

4.望能者赐教!谢谢拉! :em01



代码:
mark@Ubuntu:~$ vmware
Logging to /tmp/vmware-mark/setup-23187.log
modinfo: could not find module vmmon
modinfo: could not find module vmnet
modinfo: could not find module vmblock
modinfo: could not find module vmci
modinfo: could not find module vsock
modinfo: could not find module vmmon
modinfo: could not find module vmnet
modinfo: could not find module vmblock
modinfo: could not find module vmci
modinfo: could not find module vsock
modinfo: could not find module vmmon
modinfo: could not find module vmnet
modinfo: could not find module vmblock
modinfo: could not find module vmci
modinfo: could not find module vsock
modinfo: could not find module vmmon
modinfo: could not find module vmnet
modinfo: could not find module vmblock
modinfo: could not find module vmci
modinfo: could not find module vsock
modinfo: could not find module vmmon
modinfo: could not find module vmnet
modinfo: could not find module vmblock
modinfo: could not find module vmci
modinfo: could not find module vsock
VMWARE_LD_LIBRARY_PATH is already set, but it will be overridden.
VMWARE_LD_PRELOAD is already set, but it will be overridden.
VMWARE_PANGO_RC_FILE is already set, but it will be overridden.
VMWARE_GDK_PIXBUF_MODULE_FILE is already set, but it will be overridden.
VMWARE_GTK_IM_MODULE_FILE is already set, but it will be overridden.
VMWARE_FONTCONFIG_PATH is already set, but it will be overridden.
VMWARE_GTK2_RC_FILES is already set, but it will be overridden.
VMWARE_GTK_PATH is already set, but it will be overridden.
Logging to /tmp/vmware-root/setup-23362.log
modinfo: could not find module vmmon
modinfo: could not find module vmnet
modinfo: could not find module vmblock
modinfo: could not find module vmci
modinfo: could not find module vsock
modinfo: could not find module vmmon
modinfo: could not find module vmnet
modinfo: could not find module vmblock
modinfo: could not find module vmci
modinfo: could not find module vsock
modinfo: could not find module vmmon
modinfo: could not find module vmnet
modinfo: could not find module vmblock
modinfo: could not find module vmci
modinfo: could not find module vsock
Launching a SCIM daemon with Socket FrontEnd...
Loading simple Config module ...
Creating backend ...
Loading socket FrontEnd module ...
Starting SCIM as daemon ...
GTK Panel of SCIM 1.4.7

modinfo: could not find module vmmon
modinfo: could not find module vmnet
modinfo: could not find module vmblock
modinfo: could not find module vmci
modinfo: could not find module vsock
modinfo: could not find module vmmon
modinfo: could not find module vmnet
modinfo: could not find module vmblock
modinfo: could not find module vmci
modinfo: could not find module vsock
modinfo: could not find module vmmon
modinfo: could not find module vmnet
modinfo: could not find module vmblock
modinfo: could not find module vmci
modinfo: could not find module vsock
Stopping VMware services:
   VMware Authentication Daemon                                        done
   VM communication interface socket family:                           done
   Virtual machine communication interface                             done
   Virtual machine monitor                                             done
   Blocking file system                                                done
   Virtual ethernet                                                    done
Using 2.6.x kernel build system.
make:进入目录'/tmp/vmware-root/modules/vmmon-only'
make -C /lib/modules/2.6.27-10-generic/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: 正在进入目录 `/usr/src/linux-headers-2.6.27-10-generic'
  CC [M]  /tmp/vmware-root/modules/vmmon-only/linux/driver.o
In file included from /tmp/vmware-root/modules/vmmon-only/./include/x86.h:24,
                 from /tmp/vmware-root/modules/vmmon-only/linux/driver.h:15,
                 from /tmp/vmware-root/modules/vmmon-only/linux/driver.c:87:
/tmp/vmware-root/modules/vmmon-only/./include/x86paging.h:62:1: warning: "PTE_PFN_MASK" redefined
In file included from include/asm/paravirt.h:7,
                 from include/asm/irqflags.h:55,
                 from include/linux/irqflags.h:57,
                 from include/asm/system.h:11,
                 from include/asm/processor.h:17,
                 from include/linux/prefetch.h:14,
                 from include/linux/list.h:6,
                 from include/linux/module.h:9,
                 from /tmp/vmware-root/modules/vmmon-only/./include/compat_module.h:13,
                 from /tmp/vmware-root/modules/vmmon-only/linux/driver.c:12:
include/asm/page.h:22:1: warning: this is the location of the previous definition
In file included from /tmp/vmware-root/modules/vmmon-only/linux/vmhost.h:13,
                 from /tmp/vmware-root/modules/vmmon-only/linux/driver.c:107:
/tmp/vmware-root/modules/vmmon-only/./include/compat_semaphore.h:9:27: error: asm/semaphore.h: 没有该文件或目录
/tmp/vmware-root/modules/vmmon-only/linux/driver.c:177: 错误: 初始值设定项里有未知的字段‘nopage’
/tmp/vmware-root/modules/vmmon-only/linux/driver.c:178: 警告: 从不兼容的指针类型初始化
/tmp/vmware-root/modules/vmmon-only/linux/driver.c: 在函数‘LinuxDriverSyncCallOnEachCPU’中:
/tmp/vmware-root/modules/vmmon-only/linux/driver.c:1383: 错误: 提供给函数‘smp_call_function’的实参太多
/tmp/vmware-root/modules/vmmon-only/linux/driver.c: 在函数‘LinuxDriver_Ioctl’中:
/tmp/vmware-root/modules/vmmon-only/linux/driver.c:1965: 错误: 提供给函数‘smp_call_function’的实参太多
make[2]: *** [/tmp/vmware-root/modules/vmmon-only/linux/driver.o] 错误 1
make[1]: *** [_module_/tmp/vmware-root/modules/vmmon-only] 错误 2
make[1]:正在离开目录 `/usr/src/linux-headers-2.6.27-10-generic'
make: *** [vmmon.ko] 错误 2
make:离开目录“/tmp/vmware-root/modules/vmmon-only”


最后由 Feeriswheel 编辑于 2008-11-30 22:55,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 : Re: Ubuntu 8.10 安装VMware出现问题了,Who can help me ? THX!!
帖子发表于 : 2008-11-25 21:47 

注册: 2007-11-06 0:18
帖子: 35
送出感谢: 0 次
接收感谢: 0 次
.bundle(下这个格式的).deb的包我下了都不能用,后来下.bundle这个格式可以用,不过只能用30天。试用版。
安装比较简单。
代码:
sudo sh *.bundle


页首
 用户资料  
 
3 楼 
 文章标题 : Re: Ubuntu 8.10 安装VMware出现问题了,Who can help me ? THX!!
帖子发表于 : 2008-11-25 23:27 
头像

注册: 2008-06-21 18:30
帖子: 38
地址: Beijing
送出感谢: 0 次
接收感谢: 0 次
不过在官网已经没有.bundle这个格式的可以下载了。已经改成“tar.gz” 的了。 :em06


页首
 用户资料  
 
4 楼 
 文章标题 : Re: Ubuntu 8.10 安装VMware出现问题了,Who can help me ? THX!!
帖子发表于 : 2008-11-27 15:51 
头像

注册: 2008-10-18 20:02
帖子: 43
送出感谢: 0 次
接收感谢: 0 次
在官网上,我10分钟前刚下载了一个rpm包,同样也有一个.bundle包可供下载,安装完成可用


_________________
不问错没错,只看好不好。


页首
 用户资料  
 
5 楼 
 文章标题 : Re: Ubuntu 8.10 安装VMware出现问题了,Who can help me ? THX!!
帖子发表于 : 2008-11-30 21:37 
头像

注册: 2008-06-21 18:30
帖子: 38
地址: Beijing
送出感谢: 0 次
接收感谢: 0 次
:em06 今天突然看见楼上老兄的话。。。我就赶紧上官网仔细看了看,真的有。上次可能不小心点到现面的那个6.05了。。。 :em20


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 5 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译